* {
    border: 0;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #f7a213;
    font-family: 'Montserrat', sans-serif;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 80px;

    background: transparent;
    box-shadow: none;
    z-index: 1000;
}

.nav {
    max-width: 1280px;
    margin: 0 auto;
    height: 70px;
    padding: 0 60px;

    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav-list {
    display: flex;
    gap: 32px;
    list-style: none;
}

.nav-list a {
    font-family: 'Montserrat', sans-serif;
    text-decoration: none;
    font-size: 18px ;
    color: white !important;
    padding-block: 16px;
} 

.hamburger {
    display: none;
    border: none;
    background: none;
    border-top: 3px solid white;
    cursor: pointer; 
}

.hamburger::before, .hamburger::after {
    content: " ";
    display: block;
    width: 30px;
    height: 3px;
    background: white;
    margin-top: 5px;
    position: relative;
    transition: 0.3s;
}

.hero {
    padding-top: 80px;
    position: relative;
    height: 100vh;
    overflow: hidden;
}

.hero-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 1;
}

.hero-overlay {
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.55);
    z-index: 2;
}

.hero-content {
    position: relative;
    z-index: 3;
    color: white;
    text-align: center;

    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.hero-content h1 {
    font-family: 'Cinzel', serif;
    font-size: 48px;
}

.hero-content p {
    font-family: 'Montserrat', sans-serif;
    margin: 20px 0;
}

.btn {
    display: inline-block;
    background: #f7a213;
    padding: 14px 36px;
    color: white;
    font-weight: 500;
    font-size: 16px;
    font-family: 'Montserrat', sans-serif;
    text-decoration: none;
    border-radius: 4px;
    transition: all 0.3s ease;
}

#sobre {
    width: 100%;
    padding: 60px 60px;
    background: black;
}

.sobre-content {
    max-width: 900px;
    margin: 0 auto;
    text-align: center;
}

.sobre-content h2 {
    font-family: 'Cinzel', serif;
    font-size: 40px;
    color: #f5a623;
}

.sobre-content p {
    font-family: 'Montserrat', sans-serif;
    font-size: 20px;
    margin-bottom: 30px;
    color: #f5a623;
}

#texto {
    width: 100%;
    padding: 60px 60px;
    background: #f7a213;
}

.texto-content {
    max-width: 900px;
    margin: 0 auto;
    text-align: center;
}

.texto-content h2 {
    font-family: 'Cinzel', serif;
    font-size: 40px;
}

.texto-content p {
    font-family: 'Montserrat', sans-serif;
    font-size: 20px;
    margin-bottom: 30px;
}

.btn-texto {
    text-decoration: none;
    padding: 14px 32px;
    background: transparent;
    font-weight: 600;
    border-radius: 4px;
    border: 2px solid black;
    font-size: 24px;
    font-family: 'Montserrat', sans-serif;
    color: black;
    transition: all 0.3s ease;
}

.btn-texto {
    cursor: pointer;
    background: black;
    color: #f7a213;  
}

.resultados-carousel {
  overflow: hidden;
  width: 100%;
  background: #000;
  padding: 60px 0;
  text-align: center;
}

.section-title {
    font-family: 'Cinzel', serif;
    color: white;
    font-size: 2.5rem;
    margin-bottom: 12px;
}

.carousel-track {
  display: flex;
  gap: 24px;
  width: max-content;
  animation: scroll 30s linear infinite;
}

.carousel-track img {
  width: 280px;
  height: auto;
  border-radius: 16px;
  flex-shrink: 0;
}

/* animação */
@keyframes scroll {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-50%);
  }
}

#personais {
    width: 100%;
    padding: 60px 60px;
    background: black;
}

.container {
    flex-direction: column;
    align-items: center;

    align-items: flex-start;
    display: flex;
    min-height: 100%;
    justify-content: center;
    padding: 0px 24px;
}

.personais-header {
    width: 100%;
    max-width: 800px;
    margin: 0 auto 48px auto;
    text-align: center;
    margin-bottom: 60px;
}

.personais-header h2 {
    font-family: 'Cinzel', sefif;
    font-size: 42px;
    color: white;
    margin-bottom: 12px;
}

.personais-header p {
    font-family: 'Montserrat', sans-serif;
    color: white;
    line-height: 1.5;
}

.personais-cta p {
    color: white;
    margin-bottom: 20px;
}

.personais-cta {
    width: 100%;
    max-width: 800px;
    margin: 0 auto 48px auto;
    text-align: center;
    margin-top: 60px;
}

.btn-outline {
    padding: 14px 32px;
    color: white;
    text-decoration: none;
    border-radius: 4px;
    font-weight: 600;
    transition: 0.3s;
}

.btn-outline:hover {
    background: white;
    color: #f7a213;
}

.card-grid {
    display: grid;
    grid-column-gap: 24px;
    grid-row-gap: 24px;
    max-width: 1200px;
    width: 100%;
}

.background {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-position: center;
    background-size: cover;
    border-radius: 24px;
    filter: brightness(0.75) saturate(1.2) contrast(0.85);
    transition: filter 200ms linear, transform 200ms linear;
}

.card {
    position: relative;
}

.card::before {
    content: "";
    display: block;
    padding-bottom: 150%;
    width: 100%;
}

.content {
    padding: 24px;
    position: absolute;
    top: 0;
}

.category {
    color: white;
    font-size: 0.9rem;
    margin-bottom: 8px;
    text-transform: uppercase;
}

.heading {
    color: white;
    font-size: 1.8rem;

}

.card-grid:hover > .card:not(:hover) .background {
    filter: brightness(0.6) saturate(1) contrast(1.2) blur(5px);
}

.card-grid:hover > .card:not(:hover) .container {
    filter: brightness(0.8) blur(2px);
}

.card:hover .background {
    transform: scale(1.05);
    filter: none;
}

#contato {
    width: 100%;
    padding: 60px 60px;
    background: #f7a213;
}

.container-contato {
    flex-direction: column;
    align-items: center;

    align-items: flex-start;
    display: flex;
    min-height: 100%;
    justify-content: center;
    padding: 0px 24px;
}

.contatos-heading h2 {
    font-family: 'Cinzel', sefif;
    font-size: 35px;
    color: black;
    margin-bottom: 12px;
}

.contatos-heading p {
    font-family: 'Montserrat', sans-serif;
    color: black;
    line-height: 1.5;
}

.contatos-heading a {
    font-family: 'Montserrat', sans-serif;
    text-decoration: none;
    color: black;
    line-height: 1.5;
    margin-right: 20px;
}

.btn-contato {
    display: inline-block;
    padding: 14px 36px;
    border: 2px solid black;
    color: black;
    text-decoration: none;
    font-weight: 600;
    letter-spacing: 1px;
    border-radius: 6px;
    transition: all 0.3s ease;
}

.btn-contato:hover {
    color: #000;
    transform: translateY(-3px);
}

.rodape {
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
    flex-flow: row wrap;
    padding: 50px;
    color: white;
    background-color: black;
}

.rodape > * {
    flex: 1 100%;
}

.rodape-left {
    margin-right: 1.25em;
    margin-bottom: 2em;
}

.rodape h2 {
    font-weight: 600;
    font-size: 17px;
}

.rodape ul {
    list-style: none;
    padding-left: 0;
}

.rodape li {
    line-height: 2em;
}

.rodape a {
    text-decoration: none;
}

.box a {
    color: #999;
}

.rodape-bottom {
    text-align: center;
    color: #999;
    padding-top: 50px;
}

.rodape-left p {
    padding-right: 20%;
    color: #999;
}

.redes a {
    background: black;
    width: 40px;
    height: 40px;
    display: inline-block;
    margin-right: 2px;
}

.redes a i {
    color: #e7f2f4;
    padding: 10px 12px;
    font-size: 20px;
}

@media screen and (min-width: 600px) {
    .rodape-left > * {
        flex: 1;
    }

    .rodape-left {
        flex: 1 0px;
    }
}

@media (max-width: 600px) {
    .rodape {
        padding: 15px;
    }
}

@media (min-width:540px) {
    .card-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width:960px) {
    .card-grid {
        grid-template-columns: repeat(4, 1fr);
    }
}


@media (max-width: 750px) {
    .hamburger {
        display: block;
        z-index: 1;
    }

    .nav-list {
        position: fixed;
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        background: #f7a213;
        clip-path: circle(100px at 90% -15%);
        transition: 1s ease-out;

        flex-direction: column;
        justify-content: space-around;
        align-items: center;
        gap: 0;
        pointer-events: none;
    }

    .nav-list a {
        font-size: 24px;
        opacity: 0;
    }

    .nav-list li:nth-child(1) a {
        transition: 0.5s 0.2s;
    }

    .nav-list li:nth-child(2) a {
        transition: 0.5s 0.4s;
    }

    .nav-list li:nth-child(3) a {
        transition: 0.5s 0.6s;
    }

    .nav.active .nav-list {
        clip-path: circle(1500px at 90% -15%);
        pointer-events: all;
    }

    .nav.active .nav-list a {
        opacity: 1;
    }

    .nav.active .hamburger {
        position: fixed;
        top: 26px;
        right: 16px;
        border-top-color: transparent;
    }

    .nav.active .hamburger::before {
        transform: rotate(135deg);
    }

    .nav.active .hamburger::after {
        transform: rotate(-135deg);
        top: -7px;
    }
}

/**PLANOS.HTML**/

#infos {
    max-width: 1100px;
    margin: 0 auto;
    padding: 30px 20px;
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.infos-header {
    font-family:'Cinzel', serif;
    font-size: 35px;
    margin-top: 70px;
    text-align: center;
    margin-bottom: 48px;
}

.infos-card {
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 24px;
  padding: 20px;
  border-radius: 20px;
  background: transparent;
  box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.5); 
  position: relative;
  transition: 
    transform 0.25s ease,
    box-shadow 0.25s ease;
}

.infos-icon img {
  width: 150px;
}

.infos-content h3 {
    margin-bottom: 8px;
    color: black;
    font-family:'Cinzel', serif;
}

.infos p {
    font-family: 'Montserrat', sans-serif;
    font-size: 16px;
    margin-bottom: 14px;
    color: black;
    max-width: 520px;
}

.plans {
    padding: 80px 24px;
}

.plans-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 32px;
    max-width: 1100px;
    margin: 0 auto;

    align-items: start;
}

.plans-details {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.plan-card {
    display: flex;
    flex-direction: column;
    height: 100%;

    background: #000;
    border-radius: 24px;
    padding: 32px;
    text-align: center;
    color: white;
    border: 1px solid #1f1f1f;
}

.plan-title {
    color: #f5a623;
    font-size: 1.3rem;
    margin-bottom: 16px;
}

.pagamento-cta {
    width: 100%;
    max-width: 800px;
    margin: 0 auto 48px auto;
    text-align: center;
    margin-top: 20px;
}

.btn-pagamento {
    padding: 14px 32px;
    color: white;
    text-decoration: none;
    border-radius: 4px;
    font-weight: 600;
    transition: 0.3s;
}

.btn-pagamento:hover {
    background: white;
    color: #f7a213;
}

/* Responsivo */
@media (max-width: 900px) {
    .plans-grid {
        grid-template-columns: 1fr;
    }
}

/**PRODUTOS**/

.produtos-grid {
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 32px;
}


.card-produtos {
    margin: 60px 0 60px 0 ;
    width: 320px;
    padding: 20px;
    background-color: #fff;
    border-radius: 16px;
    box-shadow: 0 8px 30px rgba(0, 0, 0, 0.06);
    transition: transform 0.4s ease;
}

.card-produtos:hover {
    transform: scale(1.05);
}


.card-imagem-p {
    position: relative;
    width: 100%;
    height: 360px;
    overflow: hidden;
    border-radius: 12px;
}

.card-imagem-p img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    transition: opacity 0.4s ease;
}

.img-back {
    opacity: 0;
}

.card-imagem-p:hover .img-back {
    opacity: 1;
}

.card-imagem-p:hover .img-front {
    opacity: 0;
}

.card-conteudo h3 {
    font-size: 20px;
    margin-top: 20px;
    font-family: 'Cinzel', serif;
}

.card-conteudo p {
    font-size: 16px;
    font-weight: 500;
    color: #555;
    font-family: 'Montserrat', sans-serif;
    margin: 8px 0 20px;
    text-align: center;
}

.comprar {
    display: flex;
    justify-content: center;
    align-items: center;

    width: 100%;
    height: 50px;

    font-size: 18px;
    font-weight: 600;

    border-radius: 12px;
    text-decoration: none;

    color: white;
    background: linear-gradient(45deg, #f5a213, #f5a623);

    transition: 0.3s ease;
}

.comprar:hover {
    filter: brightness(1.1);
}



@media (max-width: 900px) {
    .produtos-grid {
        flex-direction: column;
        align-items: center;
    }
}